Package org.eclipse.net4j.util.collection

## Interface CloseableIterator<E>

- All Superinterfaces:
    `Closeable`, `java.util.Iterator<E>`
  All Known Implementing Classes:
    `AbstractCloseableIterator`, `DelegatingCloseableIterator`

      public interface CloseableIterator<E>
      extends java.util.Iterator<E>, Closeable

  A closeable iterator.
  Author:
    Eike Stepper

- - ### Method Summary

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`